OBJS = main.o display.o 3d.o pad.o ot.o water.o init.o
ASMOBJS = flatquad.obj flattri.obj shrdtri.obj shrdquad.obj semiquad.obj
LIBS = common\common.lib music\xmplay.lib
THREE_D = 3dobjs\3dobjs.a
MUSIC = music\xmplayer.o music\music.o

CFLAGS = -O3 -Wall
LDFLAGS = /m /n 1000 /wm
ASMFLAGS = /jc:\psx\include /l /m

main.cpe: $(OBJS) $(ASMOBJS) $(LIBS) $(THREE_D) $(MUSIC) main.lnk
         psylink $(LDFLAGS) @main.lnk,main.cpe,main.sym,main.map
#        cpe2x /CE psx.cpe

water.o: water.c
        ccpsx $(CFLAGS) -c $&.c -o $&.o
        dmpsx -b water.o

.c.o:
        ccpsx $(CFLAGS) -c $&.c -o $&.o

.asm.obj:
        asmpsx $(ASMFLAGS) $&.asm,$&.obj
        dmpsx -b $&.obj

music\music.o: music\dino.xm
        cd music
        psymake
        cd ..

music\xmplayer.o: music\xmplayer.c
        cd music
        psymake
        cd ..

3dobjs\3DOBJS.a:
        cd 3dobjs
        psymake
        cd ..

common\common.lib:
        cd common
        psymake
        cd ..

clean:
        del *.o
        del *.obj
        del *.lst

